"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_native_1 = require("react-native");
var highlight_words_core_1 = require("highlight-words-core");
Highlighter.propTypes = {};
/**
 * Highlights all occurrences of search terms (searchText) within a string (textToHighlight).
 * This function returns an array of strings and <Text> elements (wrapping highlighted words).
 */
function Highlighter(_a) {
    var autoEscape = _a.autoEscape, highlightStyle = _a.highlightStyle, searchWords = _a.searchWords, textToHighlight = _a.textToHighlight, sanitize = _a.sanitize, style = _a.style, otherTextProps = _a.otherTextProps;
    var chunks = (0, highlight_words_core_1.findAll)({
        textToHighlight: textToHighlight,
        searchWords: searchWords,
        sanitize: sanitize,
        autoEscape: autoEscape
    });
    return (react_1["default"].createElement(react_native_1.Text, tslib_1.__assign({ style: style }, otherTextProps), chunks.map(function (chunk, index) {
        var text = textToHighlight.substring(chunk.start, chunk.end - chunk.start);
        return !chunk.highlight ? (text) : (react_1["default"].createElement(react_native_1.Text, { key: index, style: chunk.highlight && highlightStyle }, text));
    })));
}
exports["default"] = Highlighter;
//# sourceMappingURL=index.js.map