/// <reference types="react" />
import { StyleProp, TextProps, TextStyle } from "react-native";
import { FindChunksArgs } from "highlight-words-core";
interface Props {
    autoEscape?: boolean;
    highlightStyle?: StyleProp<TextStyle>;
    searchWords: string[];
    textToHighlight: string;
    sanitize?: FindChunksArgs["sanitize"];
    style?: StyleProp<TextStyle>;
    otherTextProps?: TextProps;
}
/**
 * Highlights all occurrences of search terms (searchText) within a string (textToHighlight).
 * This function returns an array of strings and <Text> elements (wrapping highlighted words).
 */
declare function Highlighter({ autoEscape, highlightStyle, searchWords, textToHighlight, sanitize, style, otherTextProps, }: Props): JSX.Element;
declare namespace Highlighter {
    var propTypes: {};
}
export default Highlighter;
