import { __assign } from "tslib";
import React from "react";
import { Text } from "react-native";
import { findAll } from "highlight-words-core";
Highlighter.propTypes = {};
/**
 * Highlights all occurrences of search terms (searchText) within a string (textToHighlight).
 * This function returns an array of strings and <Text> elements (wrapping highlighted words).
 */
export default function Highlighter(_a) {
    var autoEscape = _a.autoEscape, highlightStyle = _a.highlightStyle, searchWords = _a.searchWords, textToHighlight = _a.textToHighlight, sanitize = _a.sanitize, style = _a.style, otherTextProps = _a.otherTextProps;
    var chunks = findAll({
        textToHighlight: textToHighlight,
        searchWords: searchWords,
        sanitize: sanitize,
        autoEscape: autoEscape
    });
    return (React.createElement(Text, __assign({ style: style }, otherTextProps), chunks.map(function (chunk, index) {
        var text = textToHighlight.substring(chunk.start, chunk.end - chunk.start);
        return !chunk.highlight ? (text) : (React.createElement(Text, { key: index, style: chunk.highlight && highlightStyle }, text));
    })));
}
//# sourceMappingURL=index.js.map